> For the complete documentation index, see [llms.txt](https://api.docs.fan/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.fan/profile/favorites/add.md).

# Add

Use this endpoint to add one or more favorite teams or leagues to a profile.

### Required Scopes

`profile_favorites:create`

## Request

### URL

`POST /v2/profile/{ID}/favorites`

### Path Parameters

| Name | Required | Description                                                                                                                            |
| ---- | -------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `ID` | true     | Unique FanID for the customer's account (tenant-specific). This value is a property of the ID Token returned in the SSO login process. |

### Headers

<table><thead><tr><th width="177">Name</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td>User access token from the code exchange.</td></tr></tbody></table>

### Data

The request body is an array of favorite entities to add.

<table><thead><tr><th width="218">Name</th><th width="104" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td>entity_type</td><td>true</td><td>Type of the entity to favorite, e.g. team or league.</td></tr><tr><td>entity_id</td><td>true</td><td>Numeric identifier of the entity to favorite.</td></tr><tr><td>sdp_id</td><td>false</td><td>Sports Data Platform identifier for the entity.</td></tr></tbody></table>

## Response

Returns `201 Created` with no body on success.

## Full Spec

{% openapi src="/files/Rvz5AclbuaMMsKqc2MTO" path="/v2/profile/{ID}/favorites" method="post" %}
[openapi-profile-gw.json](https://3657007978-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1G9XmPfyfOHS6i6FdlzL%2Fuploads%2Fgit-blob-a68e994e124ac5da5f3535adc09057feef8b39a3%2Fopenapi-profile-gw.json?alt=media)
{% endopenapi %}
